UpdateRequestProcessor (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.UpdateRequestProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class UpdateRequestProcessor

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessor

Direct Known Subclasses:
  LanguageIdentifierUpdateProcessor, UIMAUpdateRequestProcessor, UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor, URLClassifyProcessor

    public abstract class UpdateRequestProcessor

extends Object

This is a good place for subclassed update handlers to process the document before it is indexed. You may wish to add/remove fields or check if the requested user is allowed to update the given document... Perhaps you continue adding an error message (without indexing the document)... perhaps you throw an error and halt indexing (remove anything already indexed??) By default, this just passes the request to the next processor in the chain.

Since:
  solr 1.3

Field Summary
`protected org.slf4j.Logger` | `log`
`protected UpdateRequestProcessor` | `next`

Constructor Summary
`UpdateRequestProcessor(UpdateRequestProcessor next)`

Method Summary
`void` | `finish()`
`void` | `processAdd(AddUpdateCommand cmd)`
`void` | `processCommit(CommitUpdateCommand cmd)`
`void` | `processDelete(DeleteUpdateCommand cmd)`
`void` | `processMergeIndexes(MergeIndexesCommand cmd)`
`void` | `processRollback(RollbackUpdateCommand cmd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.slf4j.Logger log

### next

    protected final UpdateRequestProcessor next

Constructor Detail

### UpdateRequestProcessor

    public UpdateRequestProcessor(UpdateRequestProcessor next)

Method Detail

### processAdd

    public void processAdd(AddUpdateCommand cmd)
                    throws IOException

  Throws:
    `IOException`

### processDelete

    public void processDelete(DeleteUpdateCommand cmd)
                       throws IOException

  Throws:
    `IOException`

### processMergeIndexes

    public void processMergeIndexes(MergeIndexesCommand cmd)
                             throws IOException

  Throws:
    `IOException`

### processCommit

    public void processCommit(CommitUpdateCommand cmd)
                       throws IOException

  Throws:
    `IOException`

### processRollback

    public void processRollback(RollbackUpdateCommand cmd)
                         throws IOException

  Throws:
    `IOException`
  Since:
    Solr 1.4

### finish

    public void finish()
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD